Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class BarcodeInter25

    java.lang.Object
      com.lowagie.text.pdf.Barcode
          com.lowagie.text.pdf.BarcodeInter25

    public class BarcodeInter25

extends Barcode

Implements the code interleaved 2 of 5. The text can include non numeric characters that are printed but do not generate bars. The default parameters are:

    x = 0.8f;
    n = 2;
    font = BaseFont.createFont("Helvetica", "winansi", false);
    size = 8;
    baseline = size;
    barHeight = size * 3;
    textAlignment = Element.ALIGN_CENTER;
    generateChecksum = false;
    checksumText = false;

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`private static byte[][]` | `BARS` The bars to generate the code.

Fields inherited from class com.lowagie.text.pdf.Barcode
`altText, barHeight, baseline, checksumText, CODABAR, code, CODE128, CODE128_RAW, CODE128_UCC, codeType, EAN13, EAN8, extended, font, generateChecksum, guardBars, inkSpreading, n, PLANET, POSTNET, size, startStopText, SUPP2, SUPP5, textAlignment, UPCA, UPCE, x`

Constructor Summary
`BarcodeInter25()` Creates new BarcodeInter25

Method Summary
`Image` | `createAwtImage(Color foreground, Color background)` Creates a `java.awt.Image`.
`Rectangle` | `getBarcodeSize()` Gets the maximum area that the barcode and the text, if any, will occupy.
`static byte[]` | `getBarsInter25(String text)` Creates the bars for the barcode.
`static char` | `getChecksum(String text)` Calculates the checksum.
`static String` | `keepNumbers(String text)` Deletes all the non numeric characters from `text`.
`Rectangle` | `placeBarcode(PdfContentByte cb, Color barColor, Color textColor)` Places the barcode in a `PdfContentByte`.

Methods inherited from class com.lowagie.text.pdf.Barcode
`createImageWithBarcode, createTemplateWithBarcode, getAltText, getBarHeight, getBaseline, getCode, getCodeType, getFont, getInkSpreading, getN, getSize, getTextAlignment, getX, isChecksumText, isExtended, isGenerateChecksum, isGuardBars, isStartStopText, setAltText, setBarHeight, setBaseline, setChecksumText, setCode, setCodeType, setExtended, setFont, setGenerateChecksum, setGuardBars, setInkSpreading, setN, setSize, setStartStopText, setTextAlignment, setX`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BARS

    private static final byte[][] BARS

  The bars to generate the code.

Constructor Detail

### BarcodeInter25

    public BarcodeInter25()

  Creates new BarcodeInter25

Method Detail

### keepNumbers

    public static String keepNumbers(String text)

  Deletes all the non numeric characters from `text`.

  Parameters:
    `text` - the text
  Returns:
    a `String` with only numeric characters

### getChecksum

    public static char getChecksum(String text)

  Calculates the checksum.

  Parameters:
    `text` - the numeric text
  Returns:
    the checksum

### getBarsInter25

    public static byte[] getBarsInter25(String text)

  Creates the bars for the barcode.

  Parameters:
    `text` - the text. It can contain non numeric characters
  Returns:
    the barcode

### getBarcodeSize

    public Rectangle getBarcodeSize()

  Gets the maximum area that the barcode and the text, if any, will occupy. The lower left corner is always (0, 0).

  Specified by:
    `getBarcodeSize` in class `Barcode`
  Returns:
    the size the barcode occupies.

### placeBarcode

    public Rectangle placeBarcode(PdfContentByte cb,
                                  Color barColor,
                                  Color textColor)

  Places the barcode in a `PdfContentByte`. The barcode is always placed at coodinates (0, 0). Use the translation matrix to move it elsewhere.

  The bars and text are written in the following colors:

  `barColor` | `textColor` | Result
  --- | --- | ---
  `null` | `null` | bars and text painted with current fill color
  `barColor` | `null` | bars and text painted with `barColor`
  `null` | `textColor` | bars painted with current color text painted with `textColor`
  `barColor` | `textColor` | bars painted with `barColor` text painted with `textColor`

  Specified by:
    `placeBarcode` in class `Barcode`
  Parameters:
    `cb` - the `PdfContentByte` where the barcode will be placed
    `barColor` - the color of the bars. It can be `null`
    `textColor` - the color of the text. It can be `null`
  Returns:
    the dimensions the barcode occupies

### createAwtImage

    public Image createAwtImage(Color foreground,
                                Color background)

  Creates a `java.awt.Image`. This image only contains the bars without any text.

  Specified by:
    `createAwtImage` in class `Barcode`
  Parameters:
    `foreground` - the color of the bars
    `background` - the color of the background
  Returns:
    the image

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD